package cn.yw.nhyw.nhywjtbxgl.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("nhywjtbxglDao")
public class NhywjtbxglDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywjtbxgl(Map map) throws SQLException{
		this.insert("insert_Nhywjtbxgl",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Nhywjtbxgl(List batch) throws SQLException{
		this.insert("batch_insert_Nhywjtbxgl",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjtbxgl(Map map) throws SQLException{
		return this.update("update_Nhywjtbxgl",map);
	}

	/**
	 * 修改经纬度
	 */
	public Integer updateJtbxJdWdByXh(Map map) throws SQLException{
		return this.update("updateJtbxJdWdByXh", map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjtbxgl(Map map) throws SQLException{
		return this.delete("delete_Nhywjtbxgl",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Nhywjtbxgl(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywjtbxgl",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywjtbxgl(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywjtbxgl",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Nhywjtbxgl(Map map) throws SQLException{
		return this.queryForPage("query_Nhywjtbxgl",map);
	}

	/**
	 * 查询所有记录
	 */
	public List<Map> query_AllNhywjtbxgl(Map map) throws SQLException{
		return this.queryForList("query_Nhywjtbxgl",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Nhywjtbxgl(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywjtbxgl",map);
	}
}
